veracrypt (1.26.19-1+stackrpms) obs; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 05 Feb 2025 18:22:05 +0000

veracrypt (1.26.20-1+stackrpms) obs; urgency=low

  * All OSes:
    * Implement SHA-256 acceleration on ARM64 platforms using CPU
      instructions.
    * Update translations.
    * Replace "Dismount" with "Unmount" across the UI and documentation
      to align with IT standards.
  * Linux:
    * Fix a regression in Linux Mint affecting administrator password
      authentication. (GH #1473)

 -- B. Stack <bgstack15@gmail.com>  Wed, 05 Feb 2025 13:13:15 -0500

veracrypt (1.26.19-1+stackrpms) obs; urgency=low

  * Only non-Linux OSes were affected

 -- B. Stack <bgstack15@gmail.com>  Fri, 24 Jan 2025 13:18:56 -0500

veracrypt (1.26.18-1+stackrpms) UNRELEASED; urgency=low

  * All OSes:
    * Added support for SHA-256 x86 intrinsic to enhance the performance of
      PBKDF2-HMAC-SHA256.
    * Added support for AES hardware on ARM64 platforms (e.g. Windows
      ARM64, macOS on Apple Silicon Mx).
    * Updated translations
  * Linux:
    * CVE-2024-54187: Added absolute paths when executing system binaries
      to prevent path hijacking (collaboration with SivertPL @__tfr)
    * CVE-2025-23021: Prevent mounting volumes on system directories and
      PATH (reported by SivertPL @__tfr)
    * Fixed an assertion issue with the wxWidgets library included in
      Ubuntu.
    * Improved directory-opening logic by prioritizing xdg-open and adding
      fallback mechanisms.
    * Ensure that volume exists before starting the mount operation.
    * Fix "Password too long" error message not expanded to include max
      length (GH #1456)
    * Simplify sudo session detection logic.

 -- B. Stack <bgstack15@gmail.com>  Fri, 24 Jan 2025 13:18:28 -0500

veracrypt (1.26.14-1+stackrpms) obs; urgency=low

  * All OSes:
    * Update translations and documentation
    * Implement language selection settings in non-Windows versions.
    * Make codebase compatible with wxWidgets 3.3 in non-Windows versions.
    * Implement detection of volumes affected by XTS master key
      vulnerability and warn user about it.
    * Update mount failure error messages to mention removal of TrueCrypt
      support and old algorithms.
  * Linux:
    * Focus PIM field when selected (#1239)
    * Fix generic installation script on Konsole in Wayland (#1244)
    * Added the ability to build using wolfCrypt as the cryptographic
      backend. Disabled by default. (Contributed by wolfSSL, GH PR #1227)
    * Allows GUI to launch in a Wayland-only environment (GH #1264)
    * CLI: Don't initially re-ask PIM if it was already specified (GH #1288)
    * CLI: Fix incorrect max hidden volume size for file containers (GH
      #1338))
    * Enhance ASLR security of generic installer binaries by adding linked
      flag for old GCC version (reported by @morton-f on Sourceforge)

 -- B. Stack <bgstack15@gmail.com>  Tue, 03 Sep 2024 11:09:24 -0400

veracrypt (1.26.7-1+stackrpms) obs; urgency=low

  *  All OSes:
    * Security: Ensure that XTS primary key is different from the secondary key when creating volumes
      * Issue unlikely to happen thanks to random generator properties but this check must be added to prevent attacks
      * Reference: CCSS,NSA comment at page 3: https://csrc.nist.gov/csrc/media/Projects/crypto-publication-review-project/documents/initial-comments/sp800-38e-initial-public-comments-2021.pdf
    * Remove TrueCrypt Mode support. Version 1.25.9 can be used to mount or convert TrueCrypt volumes.
    * Complete removal of RIPEMD160 and GOST89 algorithms. Legacy volumes using any of them cannot be mounted by VeraCrypt anymore.
    * Add support for BLAKE2s as new PRF algorithm for both system encryption and standard volumes.
    * Introducing support for EMV banking smart cards as keyfiles for non-system volumes.
      * No need for a separate PKCS#11 module configuration.
      * Card PIN isn't required.
      * Generates secure keyfile content from unique, encoded data present on the banking card.
      * Supports all EMV standard-compliant banking cards.
      * Can be enabled in settings (go to Settings->Security Tokens).
      * Developed by a team of students from the Institut national des sciences appliquées de Rennes.
      * More details about the team and the project are available at https://projets-info.insa-rennes.fr/projets/2022/VeraCrypt/index_en.html.
    * When overwriting an existing file container during volume creation, add its current size to the available free space
    * Add Corsican language support. Update several translations.
    * Update documentation
  * Linux:
    * Fix bug in Random generator on Linux when used with Blake2s that was triggering a self test failure.
    * Modify Random Generator on Linux to exactly match official documentation and the Windows implementation.
    * Fix compatibility issues with Ubuntu 23.04.
    * Fix assert messages displayed when using wxWidgets 3.1.6 and newer.
    * Fix issues launching fsck on Linux.
    * Fix privilege escalation prompts being ignored.
    * Fix wrong size for hidden volume when selecting the option to use all free space.
    * Fix failure to create hidden volume on a disk using CLI caused by wrong maximum size detection.
    * Fix various issues when running in Text mode:
      * Don't allow selecting exFAT/BTRFS filesytem if they are not present or not compatible with the created volume.
      * Fix wrong dismount message displayed when mounting a volume.
      * Hide PIM during entry and re-ask PIM when user entered a wrong value.
      * Fix printing error when checking free space during volume creation in path doesn't exist.
    * Use wxWidgets 3.2.2.1 for static builds (e.g. console only version)
    * Fix compatibility of generic installers with old Linux distros
    * Update help message to indicate that when cascading algorithms they must be separated by dash
    * Better compatibility with building under Alpine Linux and musl libc

 -- B. Stack <bgstack15@gmail.com>  Tue, 03 Oct 2023 19:56:45 -0400

veracrypt (1.25.9-3+stackrpms) obs; urgency=low

  * Dpkg updates
    * try libwxgtk3.2-dev instead of deprecated libwxgtk3.0-gtk3-dev

 -- B. Stack <bgstack15@gmail.com>  Mon, 10 Apr 2023 10:56:13 -0400

veracrypt (1.25.9-2+stackrpms) obs; urgency=low

  * Fix version suffix

 -- B. Stack <bgstack15@gmail.com>  Tue, 28 Feb 2023 14:40:05 -0500

veracrypt (1.25.9-1+devuan) obs; urgency=medium

  * All OSes:
    * Update translations (Chinese, Dutch, French, German, Turkish).
  * Linux:
    * Fix hidden volume settings not correctly displayed when enabling
      hidden volume protection in mount options window.
    * Fix generic Linux installer overwriting /usr/sbin if it is a symlink.
    * Fix crash when building with _GLIBCXX_ASSERTIONS defined.
    * Enable building from source without AES-NI support.

 -- B. Stack <bgstack15@gmail.com>  Thu, 24 Mar 2022 18:17:51 -0400

veracrypt (1.25.7-1+devuan) obs; urgency=medium

  * All OSes:
    - Update translations.

 -- B. Stack <bgstack15@gmail.com>  Thu, 10 Feb 2022 13:15:46 -0500

veracrypt (1.25.4-1+devuan) obs; urgency=medium

  * Update Standards-Version to 4.6.0.
  * Use libfuse3-dev now instead of libefuse-dev

 -- B. Stack <bgstack15@gmail.com>  Mon, 06 Dec 2021 11:21:56 -0500

veracrypt (1.24-Update7-1+devuan) obs; urgency=medium

  * d/gbp.conf: Pass '--controlmaint' to dch.

 -- B. Stack <bgstack15@gmail.com>  Tue, 11 Aug 2020 10:03:00 -0400

veracrypt (1.24-Update4-1+devuan) obs; urgency=medium

  * adapted for stackrpms

 -- B. Stack <bgstack15@gmail.com>  Mon, 25 May 2020 10:23:50 -0400

veracrypt (1.24-Update4-0vanir1) unstable; urgency=medium

  * New upstream version 1.24-Update4
  * Update Standards-Version to 4.5.0.
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 12.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 27 Jan 2020 18:31:30 -0500

veracrypt (1.24-Update2-0vanir1) unstable; urgency=medium

  * d/prerm: Send error messages to STDERR.
  * New upstream version 1.24-Update2
    - Drop upstream patches, refresh remaining.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 19 Dec 2019 17:59:06 -0500

veracrypt (1.24-Hotfix1-0vanir1) unstable; urgency=medium

  * New upstream version 1.24-Hotfix1
    - Refresh patches.
  * d/p/002-Fix_compilation_on_non-x86_platforms.patch:
    - Grab upstream commit to fix compilation on non-x86 platforms.
  * d/p/003-Fix_compilation_error_if_type___u64_already_defined.patch:
    - Fix compilation error if type __u64 is already defined by gcc.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 30 Oct 2019 19:07:18 -0400

veracrypt (1.24-0vanir1) unstable; urgency=medium

  * New upstream version 1.24
    - Drop patches applied upstream, refresh remaining patch.
  * d/p/series, d/rules:
    - Drop patch in favor of packing (C,CXX,LD)FLAGS into TC_EXTRA_$1.
  * d/p/002-indicator-support.diff: Update to account for GTK3 wxgtk.
  * d/control:
    - Update build-depends for gtk3.
    - Set R³ to no.
  * d/rules:
    - Derive ARCH from DEB_HOST_ARCH.
    - Remove extra license file and veracrypt-uninstall.sh.
  * d/scripts/mount.veracrypt, d/veracrypt.install:
    - Add a script which allows use of VeraCrypt in fstab.
  * Update Standards-Version to 4.4.1.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 08 Oct 2019 01:27:02 -0400

veracrypt (1.23-0vanir1) unstable; urgency=medium

  * d/u/signing-key.asc: Update for new signing key.
  * New upstream version 1.23
    - Refresh patches.
  * Update Standards-Version to 4.2.1.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 15 Sep 2018 17:26:29 -0400

veracrypt (1.22-0vanir1) unstable; urgency=medium

  * New upstream version 1.22
    - d/p/005-fix-ftbfs-gcc-7.diff: Drop, applied upstream.
    - Refresh remaining patches.
  * Update Standards-Version to 4.1.3.
  * d/copyright:
    - Add a comment as to why this is a 'non-free' package.
    - Update years.
  * d/compat, d/control: Bump dh compat to 11.
  * d/p/003-indicator-support.diff: Correct the indicator icon name.
  * d/s/lintian-overrides: Override notes about pre-built windows files.
  * d/veracrypt.docs: Install src/NOTICE.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 30 Mar 2018 22:38:27 -0400

veracrypt (1.21-0vanir2) unstable; urgency=medium

  * Update Standards-Version to 4.1.1.
  * d/p/005-fix-ftbfs-gcc-7.diff: Fix FTBFS with gcc 7.
  * d/watch: Use https sf.net redirector.
  * d/control: Add libayatana-appindicator-dev as primary alt build-dep.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 02 Nov 2017 20:51:20 -0400

veracrypt (1.21-0vanir1) unstable; urgency=medium

  * New upstream version 1.21
    - Refresh patches.
  * Run wrap-and-sort.
  * Bump standards-version to 4.0.0.
  * d/30veracrypt, d/veracrypt, d/veracrypt.(install,default):
    - Dismount all volumes on suspend.
  * d/compat, d/control: Bump debhelper to compat 10.
  * d/control:
    - Update homepage.
    - Switch build-depend from nasm to yasm.
    - Drop dep on dosfstools, recommend exfat-utils and ntfs-3g.
    - Drop build-depend on makeself and imagemagick.
  * d/copyright: Update copyright information and years.
  * d/p/003-indicator-support.diff: Extend to compile with Ayatana indicators.
  * d/p/004-fixup-install.diff: Fix the install target so we can use it.
  * d/rules:
    - Pass '--as-needed' to LDFLAGS.
    - Drop imagemagick rules to convert the xpm.
    - The pdf user guide no longer exists, drop rules tweaking it.
  * d/veracrypt.desktop: Correctly pass the file to open.
  * d/veracrypt.docs: Drop user_guide.pdf.
  * d/veracrypt.doc-base: Update to note the html docs, not pdf.
  * d/veracrypt.init: Fix a case mismatch.
  * d/veracrypt.install: Drop veracrypt(,.xpm), upstream has an install target.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 10 Jul 2017 20:44:46 -0400

veracrypt (1.19+repack-0vanir2) unstable; urgency=medium

  * d/rules: Disable strip during build as it prevents dbgsym autogeneration.
  * d/veracrypt.install, d/veracrypt.desktop, d/veracrypt.xml:
    - Give '.hc' and '.tc' mimetypes, and associate them with VeraCrypt.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 16 Feb 2017 17:08:41 -0500

veracrypt (1.19+repack-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.19+repack
    - Refresh patches.
  * d/copyright: Correct URLs, use correct alternate license.
  * d/control: Depend on lsb-base.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 17 Oct 2016 18:54:06 -0400

veracrypt (1.18-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.18
    - Drop upstream patch, refresh remaining patches.
  * d/watch: Find releases using Proper Case tarballs.
  * Update standards-version to 3.9.8.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 23 Aug 2016 18:00:57 -0400

veracrypt (1.17-0vanir2) unstable; urgency=medium

  * d/p/004-gcc5-compatibility.diff:
    - Add a patch from upstream fixing GCC5 compatibility.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 18 Mar 2016 16:59:03 -0400

veracrypt (1.17-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.17.
    - Refresh patches.
  * Update standards-version to 3.9.7.
  * Update my email address.
  * d/veracrypt.menu: Drop menu, following CTTE #741573.
  * d/README.Debian: Drop, changes are unimportant, leftover from TC.
  * d/veracrypt.desktop: Add some keywords.
  * d/copyright: Update years.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 22 Feb 2016 18:48:31 -0500

veracrypt (1.14-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.14.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 19 Sep 2015 16:53:59 -0400

veracrypt (1.12-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.12.
    - Remove upstream commits.
      + d/p/004-Correct-wxWidgets-assert-warnings-when-displaying-about.diff
    - Refresh remaining patches.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 06 Aug 2015 20:52:40 -0400

veracrypt (1.0f-2-0vanir3) unstable; urgency=medium

  * d/p/004-Correct-wxWidgets-assert-warnings-when-displaying-about.diff:
    - Add patch from upstream to fix assert when opening about dialog.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 20 Apr 2015 18:20:18 -0400

veracrypt (1.0f-2-0vanir2) unstable; urgency=medium

  * d/control:
    - Drop version deps on e2fsprogs and mount.
    - Replace module-init-tools with kmod.
    - Drop dep on xterm.
    - Bump xdg-utils down to recommends.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 13 Apr 2015 17:44:29 -0400

veracrypt (1.0f-2-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.0f-2
    - Drop 003-file-manager.diff and 004-no-preference-x.diff, fixed upstream.
    - Refresh remaining patches.
  * Remove all references to opencryptoki.
  * d/rules: Enable verbose build.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 06 Apr 2015 16:58:55 -0400

veracrypt (1.0f-1-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * d/watch: Pick up releases with underscores and dashes too.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 08 Jan 2015 04:45:50 -0500

veracrypt (1.0f-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refreshed patches.
  * d/watch: Update for tar.gz, bz2 and xz.
  * d/copyright: Update years.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 03 Jan 2015 04:11:10 -0500

veracrypt (1.0e-0vanir1) unstable; urgency=medium

  * Initial release.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 09 Nov 2014 15:36:54 -0500
